Event Fields
List available event columns and event data fields with sample values.
curl -X GET "https://api.nexus.usehardal.com/analytics/events/fields?timezone=example_string&eventName=John%20Doe&targetSignalId=example_string&sampleSize=example_string&limit=example_string&offset=example_string&interval=minute&selectedEvents=%5B%22example_string%22%5D¬SelectedEvents=%5B%22example_string%22%5D&timeframe=today&startDate=example_string&endDate=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.nexus.usehardal.com/analytics/events/fields?timezone=example_string&eventName=John%20Doe&targetSignalId=example_string&sampleSize=example_string&limit=example_string&offset=example_string&interval=minute&selectedEvents=%5B%22example_string%22%5D¬SelectedEvents=%5B%22example_string%22%5D&timeframe=today&startDate=example_string&endDate=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.nexus.usehardal.com/analytics/events/fields?timezone=example_string&eventName=John%20Doe&targetSignalId=example_string&sampleSize=example_string&limit=example_string&offset=example_string&interval=minute&selectedEvents=%5B%22example_string%22%5D¬SelectedEvents=%5B%22example_string%22%5D&timeframe=today&startDate=example_string&endDate=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.nexus.usehardal.com/analytics/events/fields?timezone=example_string&eventName=John%20Doe&targetSignalId=example_string&sampleSize=example_string&limit=example_string&offset=example_string&interval=minute&selectedEvents=%5B%22example_string%22%5D¬SelectedEvents=%5B%22example_string%22%5D&timeframe=today&startDate=example_string&endDate=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.nexus.usehardal.com/analytics/events/fields?timezone=example_string&eventName=John%20Doe&targetSignalId=example_string&sampleSize=example_string&limit=example_string&offset=example_string&interval=minute&selectedEvents=%5B%22example_string%22%5D¬SelectedEvents=%5B%22example_string%22%5D&timeframe=today&startDate=example_string&endDate=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"eventFields": [
{
"fieldName": "browser",
"fieldType": "String",
"sampleValues": [
"Chrome"
]
},
{
"fieldName": "browser_version",
"fieldType": "String",
"sampleValues": [
"120"
]
},
{
"fieldName": "city",
"fieldType": "String",
"sampleValues": [
"Stockholm"
]
}
],
"eventDataFields": [
{
"fieldName": "data.state",
"dataType": "string",
"sampleValues": [
"CA",
"FL",
"ON",
"CO",
"Istanbul"
],
"totalCount": 77573,
"isJson": false
},
{
"fieldName": "data.phone",
"dataType": "number",
"sampleValues": [
"15976690799",
"14792555941",
"17734253885",
"14570032679",
"16382481844"
],
"totalCount": 77573,
"isJson": false
},
{
"fieldName": "data.email",
"dataType": "string",
"sampleValues": [
"liam.wilson@example.com",
"david.taylor@example.com",
"grace.johnson@example.com",
"david.johnson@example.com",
"james.johnson@example.com"
],
"totalCount": 77573,
"isJson": false
}
],
"summary": {
"totalEventFields": 26,
"totalEventDataFields": 26
}
},
"timestamp": "2026-06-30T12:11:56.385Z",
"path": "/analytics/events/fields"
}
/analytics/events/fields
Target server for requests. Edit to use your own host.
API key (sent in header)
Timezone for date filtering (default: Europe/Istanbul)
Filter metrics by a specific event name
Target signal ID for comparison
Number of event samples to return (default: 1, max: 5)
Number of records to return for raw events (default: 20, max: 1000)
Number of records to skip for raw events pagination (default: 0, max: 10000)
Interval for time series aggregation (minute, hour, day, week, month)
Required preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Query Parameters
Timezone for date filtering (default: Europe/Istanbul)
Filter metrics by a specific event name
Target signal ID for comparison
Number of event samples to return (default: 1, max: 5)
Number of records to return for raw events (default: 20, max: 1000)
Number of records to skip for raw events pagination (default: 0, max: 10000)
Interval for time series aggregation (minute, hour, day, week, month)
minutehourdayweekmonthRequired preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.
todayyesterdaylast7dayslast30dayscustomStart date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Responses
Successful response.